@import url('mobile-styles.css');

@import url('https://fonts.googleapis.com/css2?family=Londrina+Outline&family=Ubuntu:wght@400;700&display=swap');

body {
  width: auto !important;
  overflow-x: hidden !important;
  font-family: 'Ubuntu', sans-serif;
  color: #10193d;
}

.review-button-index {
  display: flex;
  position: absolute;
  margin-bottom: -30%;
  border-radius: 10px;
}

.review-button-index:hover {
  background-color: rgba(225, 176, 230, 0.75);
  /* Darker shade of green */
  color: white;
}

.access-reviews-index {
  background-color: rgb(37, 164, 192);
  padding: 10px;
  text-align: center;
  display: flex;
}

.access-reviews-index a {
  margin: 10px;
  color: azure;
}

.raating_p {
  margin: 20px;
  margin-left: 4vw;
}

.disnone {
  display: none;
}

.submit-review {
  font-family: 'Ubuntu', sans-serif;
  color: #10193d;
  margin-bottom: 20px;
}

.star-rating {
  font-size: 2em;
}

.star-rating > .star {
  display: inline-block;
  cursor: pointer;
}

.star-rating > .star:hover,
.star-rating > .star:hover ~ .star,
.star-rating > .star.active,
.star-rating > .star.active ~ .star {
  color: #f0ad4e; /* Color of active stars */
}

#review-form {
  width: 800px;
  margin: auto;
  padding: 20px;
  border-radius: 5px;
}

#review-form input[type='text'],
#review-form textarea {
  width: 80%;
  margin-bottom: 10px;
  padding: 8px;
}

.text-reviews {
  height: 130px;
}

.star-rating {
  direction: ltr;
  font-size: 0;
}

.star-rating input[type='radio'] {
  display: none;
}

.star-rating label {
  display: inline;
  font-size: 2rem;
  padding: 0 5px;
  color: orange;
  cursor: pointer;
}

.star-rating input[type='radio']:checked ~ label,
.star-rating label:hover,
.star-rating label:hover ~ label {
  color: orange;
  content: attr(data-star); /* Changes the content to filled star */
}

.orange-star {
  color: orange;
  font-size: 1.5rem;
}

.grey-star {
  color: #ddd;
  font-size: 1.5rem;
}

#reviews {
  width: 80%;
  margin-top: 15px;
  line-height: 25px;
}

.submit-review-button {
  height: 40px;
  padding: 10px 15px;
  width: auto;
  background-color: #10193d;
  color: #ddd;
  margin-top: 10px;
  border-radius: 5px;
  cursor: pointer;
  border: none;
  line-height: normal;
}

.star-rating {
  font-size: 2em;
}

.star-rating > .star {
  display: inline-block;
  cursor: pointer;
}

.star-rating > .star:hover,
.star-rating > .star:hover ~ .star,
.star-rating > .star.active,
.star-rating > .star.active ~ .star {
  color: #f0ad4e; /* Color of active stars */
}

.average {
  padding: -20px;
}

.disnone {
  display: none;
}

.rattings {
  color: #10193d;
  background-color: #f8f8f8;
}

.rattings-box {
  margin-left: 100px;
  padding: 10px;
}

#reviewsContainer {
  line-height: 50px;
}

.w {
  margin-top: 50px;
}

@media only screen and (max-width: 1200px) {
  .review-button-index {
    flex-direction: column;
  }
}

@media only screen and (max-width: 1025px) {
  .review-button-index {
    flex-direction: column;
  }
}

@media only screen and (max-width: 769px) {
  .review-button-index {
    flex-direction: column;
  }
}

@media only screen and (max-width: 480px) {
  .review-button-index {
    flex-direction: column;
  }
}
